import java.util.ArrayList;
import java.util.Scanner;

public class Main {
    public static void main(String[] args) {
        Scanner skener = new Scanner(System.in);
        int n = skener.nextInt();
        int q = skener.nextInt();
        ArrayList<Integer> glasovi = new ArrayList<>();
        ArrayList<Integer> glasovi1 = new ArrayList<>();
        int[] nizq = new int[q];
        int[] niza = new int[q];

        for (int i = 0; i < n; i++) {
            glasovi.add(skener.nextInt());
        }
        for (int i = 0; i < q; i++) {
            nizq[i] = skener.nextInt();
        }

        for (int i = 0; i < q; i++) {
            glasovi1.addAll(glasovi);
            if(!glasovi1.contains(nizq[i])){
                glasovi1.add(nizq[i]);
                niza[i]++;
            }
            bubbleSort(glasovi1);
            for (int j = 0; j < glasovi1.size(); j++) {
                System.out.print(glasovi1.get(j) + " ");
            }
            System.out.println();
            // 1
            while (glasovi1.get(glasovi1.size()/2 ) != nizq[i]){
                if (glasovi1.get(glasovi1.size()/2 ) > nizq[i]) {
                    glasovi1.add(0, 1);
                    niza[i]++;
                }else {
                    glasovi1.add(glasovi1.get(glasovi1.size() - 1));
                    niza[i]++;
                }
            }

            glasovi1.removeAll(glasovi1);

        }

        for (int i = 0; i < niza.length; i++) {
            System.out.println(niza[i]);
        }
        
    }
    public static ArrayList<Integer> bubbleSort(ArrayList<Integer> niz) {
        for(int i=niz.size()-1; i>0; i--){
            for(int j=0; j<i; j++) {
                if(niz.get(j) > niz.get(j+1)) {
                    int pom = niz.get(j+1);
                    niz.set(j+1, niz.get(j));
                    niz.set(j, pom);
                }
            }
        }
        return niz;
    }
}